Create a worklist task
curl --request POST \
--url https://api.autoprintfarm.com/public/v1/worklist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"priority": "medium",
"printer_id": "<string>",
"assigned_to": "<string>",
"estimated_time_minutes": 1,
"due_date": "2023-11-07T05:31:56Z",
"apply_default_assignee": true
}
'import requests
url = "https://api.autoprintfarm.com/public/v1/worklist"
payload = {
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"priority": "medium",
"printer_id": "<string>",
"assigned_to": "<string>",
"estimated_time_minutes": 1,
"due_date": "2023-11-07T05:31:56Z",
"apply_default_assignee": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
subtitle: '<string>',
description: '<string>',
priority: 'medium',
printer_id: '<string>',
assigned_to: '<string>',
estimated_time_minutes: 1,
due_date: '2023-11-07T05:31:56Z',
apply_default_assignee: true
})
};
fetch('https://api.autoprintfarm.com/public/v1/worklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"description": "<string>",
"task_type": "<string>",
"priority": "<string>",
"status": "<string>",
"printer_id": "<string>",
"estimated_time_minutes": 123,
"actual_time_minutes": 123,
"started_at": "<string>",
"completed_at": "<string>",
"due_date": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": "<unknown>"
}
}Worklist
Create a worklist task
Optionally auto-resolves the default assignee from your task_assignment_defaults (set apply_default_assignee: false to skip).
POST
/
worklist
Create a worklist task
Authorizations
API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.
Body
application/json
Required string length:
1 - 200Available options:
assembly, filament_change, collection, maintenance, quality_check Maximum string length:
200Maximum string length:
2000Available options:
low, medium, high Minimum string length:
1Minimum string length:
1Required range:
x >= 0ISO 8601 datetime
Was this page helpful?
⌘I